Subject: Re: [ANNOUNCE] LibXSLT (1.0.27) test packages available
From: Patrick Eisenacher <[email-masked]>
To: [email-masked]
Date: Tue, 10 Jun 2003 16:09:54 +0200

Hi Elfyn,

sorry for the little delay, but Monday was a holiday here in Germany, so 
I took the chance to get some private work done. Back in the office 
today, I saw that you have published the updated packages.

I reran the basic test I sent you and that worked fine, both with the 
v1.50.0 and the latest v1.61.2 XSL stylesheets.

Unfortunately my next test failed :o( It gets transformed well with the 
old versions of libxml2 and libxslt and the v1.61.2 XSL stylesheets. But 
the new versions fail with the v1.61.2 XSL stylesheets. After narrowing 
down the problem, I identified the <affiliation> tag within the 
<authorgroup> tag as the culprit of causing a segmentation fault. 
Running the same test on a real unix box, caused xsltproc to segfault as 
well. So the problem seems not to be with your port, but with xsltproc 
itself. xsltproc crahses in the xsltApplyTemplates() function.

Uff, this turns out to be a real beast...I'm going to contact Daniel 
about it, hoping to get a new version of xsltproc...

Nevertheless, congratulations for the port!

Patrick

BTW: If you want to crash xsltproc, try this:

-bash-2.05b$ xsltproc -catalogs 
/usr/local/share/xsl/docbook/html/docbook.xsl Specification.xml > 
Specification.html

with the following snippet:

<?xml version="1.0" standalone='no'?>
<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
                   "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">

<!-- ROOT ELEMENT -->
<article class="specification" lang="en" vendor="Fillmore Labs" 
revision="0.4">

     <articleinfo>
         <title>Specification</title>

         <authorgroup>
             <author>
                 <firstname>Patrick</firstname>
                 <surname>Eisenacher</surname>
                 <affiliation>
                     <address>
                         <email>[email-masked]</email>
                     </address>
                 </affiliation>
             </author>
         </authorgroup>
     </articleinfo>

     <section id="introduction">
         <title>Introduction</title>
         <para>
             Give some short information about the product.
         </para>
     </section>

</article>

Elfyn McBratney schrieb:
> On Thu, 5 Jun 2003, Patrick Eisenacher wrote:
> 
> 
>>Hi Elfyn,
>>
>>unfortunately I'm less fortunate with the new libxslt package than
>>Andreas. I cannot translate a simple xml document to html with the new
>>version of xsltproc. Here are some infos:
>>[...]
> 
> 
> Patrick,
> 
> I've upgraded the Cygwin LibXSLT package to 1.0.30-1 and xsltproc
> now works with the DocBook stylesheets. Your simple test and a few
> others I have tried were all successful.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/